#pragma once
#include "Logger.h"
#include "dbg.h"
class CLegacyDebugLog : public CLogger
{
public:
    explicit CLegacyDebugLog(const std::string& strName);
    ~CLegacyDebugLog() final;

private:
    void InitLogger();

    // Inherited via CLogger
    void DoStart() override;
    void DoFlush() override;
    void DoLogging(const std::string& strMsg) override;

    //
    CDebugPrintf m_logger{ 0 };
};
